## freeradius-server-2.0.0-pre2.tar.gz

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: Makefile,v 1.51 2007/08/05 23:37:31 aland Exp $
#

include Make.inc

.PHONY: all clean install

SUBDIRS		= $(LTDL_SUBDIRS) src raddb scripts doc
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
# For compatibility with typical GNU packages (e.g. as seen in libltdl),
# we make sure DESTDIR is defined.
#
export DESTDIR := $(R)
install:
	$(INSTALL) -d -m 755	$(R)$(sbindir)
	$(INSTALL) -d -m 755	$(R)$(bindir)
	$(INSTALL) -d -m 755	$(R)$(raddbdir)
	$(INSTALL) -d -m 755	$(R)$(mandir)
	$(INSTALL) -d -m 755	$(R)$(RUNDIR)
	$(INSTALL) -d -m 700	$(R)$(logdir)
	$(INSTALL) -d -m 700	$(R)$(radacctdir)
	$(INSTALL) -d -m 755	$(R)$(datadir)
	$(INSTALL) -d -m 755	$(R)$(dictdir)
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@echo "Installing dictionary files in $(R)$(dictdir)"; \
	cd share; \
	for i in dictionary*; do \
		$(INSTALL) -m 644 $$i $(R)$(dictdir); \
	done
	$(LIBTOOL) --finish $(R)$(libdir)

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		$(MAKE) $(MFLAGS) -C $$dir $(WHAT_TO_MAKE) || exit $$?; \
	done

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
reconfig: configure src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

# autoheader might not change autoconf.h.in, so touch a stamp file
src/include/autoconf.h.in: src/include/stamp-h.in
src/include/stamp-h.in: configure.in
	$(AUTOHEADER)
	echo timestamp > src/include/stamp-h.in

src/include/autoconf.h: src/include/stamp-h
src/include/stamp-h: src/include/autoconf.h.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure.in:

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

TAGS:
	etags `find src -type f -name '*.[ch]' -print`

=== raddb/Makefile ===
#
# Makefile
#
# Version:      $Id: Makefile,v 1.31 2007/08/19 22:28:50 nbk Exp $
#

include ../Make.inc

#
#  The list of files to install.
#
FILES = acct_users attrs attrs.access_reject attrs.accounting_response	\
	attrs.pre-proxy clients.conf dictionary eap.conf		\
	experimental.conf hints huntgroups ldap.attrmap otp.conf	\
	policy.txt preproxy_users proxy.conf radiusd.conf		\
	radrelay.conf snmp.conf sql.conf sqlippool.conf users		\
	vmpsd.conf sites-available/default sites-available/example

#
#	This target is here for local debugging
#
all:
	@if [ ! -d sites-enabled ]; then \
		mkdir sites-enabled; \
	fi
	@if [ ! -f sites-enabled/default ]; then \
		cd sites-enabled && ln -s ../sites-available/default; \
	fi

install:
	$(INSTALL) -d -m 750	$(R)$(raddbdir)
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-available
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-enabled
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	for i in $(FILES); do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 640 $$i $(R)$(raddbdir)/$$i; \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "**";\
		echo "** The sample configuration files in `pwd`";\
		echo "** are newer than those in $(R)$(raddbdir)";\
		echo "**";\
		echo "** Please investigate and manually copy (if appropriate) the files listed above.";\
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
	fi
	chmod 640 $(R)$(raddbdir)/clients.conf
	if [ ! -d $(R)$(raddbdir)/certs ]; then \
		$(INSTALL) -d -m 750	$(R)$(raddbdir)/certs; \
		$(INSTALL) -m 750 certs/bootstrap $(R)$(raddbdir)/certs; \
		for i in Makefile README xpextensions ca.cnf server.cnf client.cnf; do \
			$(INSTALL) -m 640 certs/$$i $(R)$(raddbdir)/certs; \
		done; \
	fi
	if [ ! -d $(R)$(raddbdir)/sql ]; then \
		find sql -name CVS -prune -o -print | \
		  while read file; do \
		    if [ -d "$$file" ]; then \
		      $(INSTALL) -d -m 750 "$(R)$(raddbdir)/$$file"; \
		    else \
		      $(INSTALL) -m 640 "$$file" "$(R)$(raddbdir)/$$file"; \
		    fi; \
		  done; \
	fi
	if [ ! -f $(R)$(raddbdir)/sites-enabled/default ]; then \
		cd $(R)$(raddbdir)/sites-enabled/; \
		ln -s ../sites-available/default; \
	fi

clean:

=== src/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.10 2006/05/25 16:24:22 nbk Exp $
#

include ../Make.inc

SUBDIRS		= include lib modules main
WHAT_TO_MAKE	= all

all: freeradius-devel
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f include/*~ *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		$(MAKE) $(MFLAGS) -C $$dir $(WHAT_TO_MAKE) || exit $$?; \
	done

freeradius-devel:
	ln -s include freeradius-devel

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#	
#	$Id: Makefile,v 1.5 2007/08/12 14:15:18 aland Exp $
#
######################################################################

DH_KEY_SIZE	= 1024

#
#  Set the passwords
#
PASSWORD_SERVER	= $(shell grep output_password server.cnf | sed 's/.*=//;s/^ *//')
PASSWORD_CA	= $(shell grep output_password ca.cnf | sed 's/.*=//;s/^ *//')
PASSWORD_CLIENT	= $(shell grep output_password client.cnf | sed 's/.*=//;s/^ *//')

USER_NAME	= $(shell grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//')

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: dh random server ca

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.pem

.PHONY: server
server: server.pem

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	openssl dhparam -out dh $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem:
	openssl req -new -x509 -keyout ca.key -out ca.pem -config ./ca.cnf 

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: 
	openssl req -new  -out server.csr -keyout server.key -config ./server.cnf

server.crt: server.csr ca.key ca.pem index.txt serial
	openssl ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	openssl pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

server.pem: server.p12
	openssl pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

.PHONY: server.vrfy
server.vrfy: ca.pem
	openssl verify -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above server
#  certificate.
#
######################################################################
client.csr client.key: client.cnf
	openssl req -new  -out client.csr -keyout client.key -config ./client.cnf

client.crt: client.csr server.crt server.key index.txt serial
	openssl ca -batch -keyfile server.key -cert server.crt -in client.csr  -key $(PASSWORD_SERVER) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	openssl pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)

client.pem: client.p12
	openssl pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_CLIENT)
	cp client.pem $(USER_NAME).pem

.PHONY: server.vrfy
client.vrfy: server.pem client.pem 
	c_rehash .
	openssl verify -CApath . client.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

random:
	@if [ -e /dev/urandom ] ; then \
		dd if=/dev/urandom of=./random count=10 >/dev/null 2>&1; \
	else \
		date > ./random; \
	fi

print:
	openssl x509 -text -in server.crt

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#  Run distclean ONLY if there's a CVS directory, AND it points to
#  cvs.freeradius.org.  Otherwise, it would be easy for administrators
#  to type "make distclean", and destroy their CA and server certificates.
#
distclean:
	@if [ -d CVS -a `grep -i 'cvs\.freeradius\.org' CVS/Root` ] ; then \
		rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial* random *\.0 *\.1; \
	fi

=== src/lib/Makefile ===
#
# Makefile
#
# Version:      $Id: Makefile,v 1.36 2007/05/28 10:26:35 aland Exp $
#

include ../../Make.inc

SRCS		= dict.c filters.c hash.c hmac.c hmacsha1.c isaac.c log.c \
		  misc.c missing.c md4.c md5.c print.c radius.c rbtree.c \
		  sha1.c snprintf.c strlcat.c strlcpy.c token.c udpfromto.c \
		  valuepair.c fifo.c packet.c event.c getaddrinfo.c vqp.c

LT_OBJS		= $(SRCS:.c=.lo)

INCLUDES	= ../include/radius.h ../include/libradius.h \
		  ../include/missing.h ../include/autoconf.h \
		  ../include/ident.h

CFLAGS		+= -D_LIBRADIUS -I$(top_builddir)/src

# if you have problems with things that need SHA1-HMAC, this will
# dump the key and the input to the hash so you can compare to what
# the other end is doing.
#CFLAGS += -DHMAC_SHA1_DATA_PROBLEMS

ifeq ($(USE_SHARED_LIBS),yes)
LINK_MODE	= -export-dynamic
else
LINK_MODE	= -static
endif

TARGET		= $(LIBPREFIX)radius

# Define new rule for libtool objects
%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $<

all: $(TARGET).la

$(TARGET).la: $(LT_OBJS)
	$(LIBTOOL) --mode=link $(CC) -release $(RADIUSD_VERSION) \
	$(LDFLAGS) $(LINK_MODE) -o $@ -rpath $(libdir) $^

$(LT_OBJS): $(INCLUDES)

clean:
	rm -f *.o *.lo $(TARGET).la
	rm -rf .libs

install: all
	$(INSTALL) -d -m 755	$(R)$(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) -c $(TARGET).la \
		$(R)$(libdir)/$(TARGET).la
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

=== src/tests/Makefile ===
include ../../Make.inc

TESTS	= user_password chap mschapv1 digest-auth-MD5 digest-auth-int \
	digest-auth-noalgo digest-md5-sess digest-auth-MD5_Sess \
	digest-auth_int-MD5 digest-auth_int-MD5_Sess digest-auth_int-noalgo \
	example.com stripped.example.com

EAPOL_TEST = eapol_test

EAP_TLS_TESTS = eap-ttls-pap.conf eap-ttls-mschapv2.conf peap-mschapv2.conf

SECRET	= testing123

.PHONY: all eap

#
#	Build the directory for testing the server
#
all: tests

#
#  Copy all of the files in a portable way
#
#  Then, over-write the radiusd.conf && dictionary files with
#  entries that point to this directory, and to the modules in
#  the local build directory.
#
raddb/.raddb:
	rm -rf raddb
	@(cd ../..; tar -cf - raddb) | tar -xf -
	@echo '$$INCLUDE ' $(top_builddir)/src/tests/dictionary.test > raddb/dictionary
	@echo '$$INCLUDE ' $(top_builddir)/share/dictionary >> raddb/dictionary
	@echo "raddbdir = " $(top_builddir)/src/tests/raddb > raddb/radiusd.conf
	@echo "libdir = " $(top_builddir)/src/modules/lib >> raddb/radiusd.conf
	@echo '$$INCLUDE ' $(top_builddir)/raddb/radiusd.conf >> raddb/radiusd.conf
	@cp proxy.conf raddb
	@touch raddb/.raddb

tests: raddb/.raddb
	@chmod a+x runtests.sh
	./runtests.sh $(TESTS)

eap: $(EAP_TLS_TESTS)
	$(EAPOL_TEST) -c $< -s $(SECRET)

=== src/modules/rlm_mschap/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.21 2007/08/03 19:04:35 aland Exp $
#

TARGET		= rlm_mschap
SRCS		= rlm_mschap.c smbdes.c opendir.c
HEADERS		=
RLM_CFLAGS	=
RLM_LDFLAGS	=
RLM_LIBS	=
RLM_UTILS   	= smbencrypt
RLM_INSTALL 	= smbencrypt-install

# over-ride the previous assignment if we're not building anything
include ../rules.mak

$(LT_OBJS): $(HEADERS)

smbencrypt: smbencrypt.lo smbdes.lo ../../lib/libradius.la
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) $(RLM_LDFLAGS) \
		-o $@ $^ $(RLM_LIBS) $(LIBS)

smbencrypt-install:
	$(INSTALL) -d -m 755 $(R)$(bindir)
	$(LIBTOOL) --mode=install $(INSTALL) -m 755 $(INSTALLSTRIP) \
		smbencrypt$(EXEEXT) $(R)$(bindir)

=== src/modules/rlm_eap/libeap/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.10 2006/03/23 11:17:31 nbk Exp $
#

include ../../../../Make.inc

SRCS		= eapcommon.c eapcrypto.c eapsimlib.c fips186prf.c
ifneq ($(OPENSSL_LIBS),)
SRCS		+= cb.c eap_tls.c mppe_keys.c tls.c
endif
LT_OBJS		= $(SRCS:.c=.lo)
INCLUDES	= eap_types.h eap_tls.h
CFLAGS		+= -DEAPLIB -I. -I.. -I$(top_builddir)/src $(OPENSSL_INCLUDE)
ifeq ($(USE_SHARED_LIBS),yes)
LINK_MODE	= -export-dynamic
else
LINK_MODE	= -static
endif
TARGET		= $(LIBPREFIX)eap

# Define new rule for libtool objects
%.lo: %.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $<

all: $(TARGET).la

$(TARGET).la: $(LT_OBJS)
	$(LIBTOOL) --mode=link $(CC) -release $(RADIUSD_VERSION) \
	$(LDFLAGS) $(LINK_MODE) -o $@ -rpath $(libdir) $^ \
	$(top_builddir)/src/lib/libradius.la $(LIBS)

$(LT_OBJS): $(INCLUDES)

clean:
	rm -f *.o *.lo $(TARGET).la
	rm -rf .libs

install: all
	$(LIBTOOL) --mode=install $(INSTALL) -c $(TARGET).la \
		$(R)$(libdir)/$(TARGET).la
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

=== src/modules/rlm_eap/types/rlm_eap_sim/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.1 2006/02/03 11:49:19 nbk Exp $
#

TARGET      = rlm_eap_sim
SRCS        = rlm_eap_sim.c
HEADERS     =
RLM_CFLAGS  = $(INCLTDL) -I../.. -I../../libeap
RLM_LIBS    =  ../../libeap/libeap.la
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)

=== debian/changelog ===
freeradius (2.0.0-pre2) unstable; urgency=low

  * New upstream pre-release, in preparation for the final 2.0.0 release.
  * Upgrade debhelper compatibility to version 5. This breaks the build
    on Sarge, which is no longer in stable.
  * Rewrite large parts of debian/rules based on the changes from the
    downstream debian package. (use dpatches and debhelper files where
    possible)
  * New initscript that uses the LSB functions instead of calling directly
    start-stop-daemon.
  * Create default certificates in postinst to enable the EAP modules (tls,
    ttls and peap) when the server starts for the first time.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Mon, 20 Aug 2007 18:40:13 +0200

freeradius (1.1.7-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Tue, 26 Jun 2007 09:52:41 +0100

freeradius (1.1.6-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Mon, 26 Mar 2007 14:57:03 +0100

freeradius (1.1.5-0) unstable; urgency=low

  * New upstream release.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Tue,  6 Mar 2007 23:52:55 +0100

freeradius (1.1.3-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatch merged in mainstream CVS:
    - 01-actually_check_for_unset_password
  * Remove irrelevant dpatch after autotools upgrade:
    - 13_a_libtool_to_call_your_own
  * Update debian/rules because of autotools upgrade, too.
  * Fix errors in initscript when trying to reload even if the server
    isn't running.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Mon, 10 Jul 2006 14:06:04 +0200

freeradius (1.1.2-0) unstable; urgency=low

  * New upstream release.
  * Update dpatch for 1.1.2:
    - 13_a_libtool14_to_call_your_own

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun, 21 May 2006 19:20:03 +0200

freeradius (1.1.1-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatches merged in mainstream CVS:
    - 01_NET-SNMP_build_support
    - 02_document_actual_shared_secret_maximum_length
    - 12_more_dialup_admin_various_fixes
  * Remove irrelevant dpatch after rlm_eap changes in CVS:
    - 06_libtool14_vs_rlm_eap_tls
  * Features that break compatibility with Sarge have not been merged:
    - debhelper V5 support
    - lsb-init functions

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun, 12 Feb 2006 16:29:20 +0100

freeradius (1.1.0-1) unstable; urgency=low
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00

  * New FreeRADIUS modules marked stable by new upstream release
    - rlm_perl
    - rlm_sqlcounter
    - rlm_sql_log + radsqlrelay
    - rlm_otp (formerly rlm_x99_token, not built as it depends on OpenSSL)

  * Remove upstream-integrated patches:
    - 02_EAP-SIM_doesnt_need_openssl
    - 03_X99_is_not_stable
    - 07_manpage_fixups
    - 09_use_crypth_if_we_have_it
    - 10_escape_entire_ldap_string
    - 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
    - 12_dialup_admin_various_fixes

  * More dialup-admin fixes from Arve Seljebu
    - Fix redirects in dialup-admin pages on servers with
      register_globals turned off.
      Closes: #333704
    - HTTP form fields will always fail is_int, use in_numeric instead
      Closes: #335149
    - Created 12_more_dialup_admin_various_fixes

  * Update to Policy 3.6.2.0
  * Upgrade Debhelper support to V5
  * Don't install the .in files with the examples
  * Prefer libmysqlclient15-dev
    Closes: #343779
  * Shared secrets can only be 31 characters long, note this in clients.conf
    - Created 02_document_actual_shared_secret_maximum_length
    Closes: 344606
  * Added support for lsb-init functions

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 15 Jan 2006 13:34:13 +1100

freeradius (1.1.0-0) unstable; urgency=low

  * New upstream release.
  * Update set of patches:
    - 01_NET-SNMP_build_support.dpatch
    - 06_libtool14_vs_rlm_eap_tls.dpatch
    - 13_a_libtool14_to_call_your_own.dpatch

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun,  1 Jan 2006 18:15:47 +0100

freeradius (1.0.5-2) unstable; urgency=low

  * Stop dragging non-PIC code from libeap.a into rlm_eap_sim.so and
    rlm_eap.so.
    (Thanks to Peter Salinger)
    Closes: #288547
    - Rename 06_libtool14_vs_rlm_eap_tls to 06_libtool14_vs_rlm_eap
      and modify with Peter's changes and some Makefile hackery to
      get it all linking
  * Don't rerun configure during the build.
    (Thanks to Kurt Roeckx)
  * A whole bunch of dialup-admin fixes from Arve Seljebu and Tobias
    - Report correct data transfer statistics for users
      Closes: #329672
    - Lower-case sql column names to match creation scripts
      Closes: #333709
    - Fix creation of empty groups
      Closes: #333739
    - Put quote around usernames in HTML output
      Closes: #333742
    - Properly notice when we've got a blank password to SQL
      Closes: #333744
    - Created 12_dialup_admin_various_fixes
  * Stop using libtool1.4 to build against, now that we can't have it and
    libltdl3-dev installed at the same time
    Closes: #279391
    - Created 13_a_libtool14_to_call_your_own to get most recent ltmain.sh

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 16 Oct 2005 21:26:30 +1000

freeradius (1.0.5-1) unstable; urgency=high

  * Urgency high for security fixes below, all reported upstream
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00
  * Add missed build-dependancy on dpatch (>=2)
  * Update to Standards-Version 3.6.2.0
    - No changes needed
  * Repair some minorly broken manpages
    - Created 07_manpage_fixups.dpatch
  * Security fixes stolen from CVS release_1_0 branch:


=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 5), dpatch (>= 2), dpkg-dev (>= 1.13.25), autotools-dev, libtool (>= 1.5), libltdl3-dev, libpam0g-dev, libmysqlclient15-dev | libmysqlclient-dev, libgdbm-dev, libldap2-dev, libsasl2-dev, libiodbc2-dev, libkrb5-dev, libperl-dev, libpcap-dev, snmp, libsnmp9-dev | libsnmp-dev, libpq-dev, libssl-dev
Section: net
Priority: optional
Maintainer: Nicolas Baradakis <nbk@sitadelle.com>
Standards-Version: 3.7.2.0

Package: freeradius
Architecture: any
Depends: lsb-base (>= 3.1-23.2), adduser, openssl, ${shlibs:Depends}
Provides: radius-server
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5
Description: a high-performance and highly configurable RADIUS server
 FreeRADIUS is the world's most popular RADIUS Server. It is fast, flexible,
 configurable, and supports more authentication protocols than most commercial
 servers. It includes support for SQL, LDAP, RADIUS Proxying, failover, load
 balancing, and nearly 100 vendor dictionary files.
 .
 Web site: http://www.freeradius.org/

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-dialupadmin
Architecture: all
Depends: php5 | php5-cgi
Recommends: ${perl:Depends}
Suggests: apache2-mpm-prefork | httpd, php5-mysql | php5-pgsql, libdate-manip-perl
Description: set of PHP scripts for administering a FreeRADIUS server
 These scripts provide a web-based interface for administering a FreeRADIUS
 server which stores authentication information in either SQL or LDAP.

Package: freeradius-dbg
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debug symbols for the FreeRADIUS packages
 FreeRADIUS is a modular, high performance and feature-rich RADIUS server.
 This package contains the detached debugging symbols for the Debian FreeRADIUS
 packages.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

.NOTPARALLEL:

SHELL		= /bin/bash

package		= freeradius
freeradius_dir	= $(CURDIR)/debian/tmp

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

# Use "openssl=no" below to build a binary-distributable version
# for the Debian archive.
openssl = yes

include /usr/share/dpatch/dpatch.make

modulelist=krb5 ldap sql_mysql sql_iodbc sql_postgresql

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.52+ arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

ifeq ($(openssl), no)
	 confflags += --without-openssl --without-rlm_eap_peap --without-rlm_eap_tls --without-rlm_eap_ttls --without-rlm_otp
endif

configure-stamp: patch-stamp
	dh_testdir

	# Update the autotools files if necessary
	# Force Build-Depends on autotools-dev for /usr/share/misc/config.*
	if [ -e config.sub.dist ]; then rm config.sub; else mv config.sub config.sub.dist; fi
	if [ -e config.guess.dist ]; then rm config.guess; else mv config.guess config.guess.dist; fi
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

	./configure \
		$(confflags) \
		--config-cache \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--with-system-libtool --disable-ltdl-install \
		--with-large-files --with-udpfromto --with-edir \
		--enable-strict-dependencies \
		--enable-developer \
		--with-rlm-sql-postgresql-lib-dir=`pg_config --libdir` \
		--with-rlm-sql-postgresql-include-dir=`pg_config --includedir`

	touch configure-stamp

build: build-arch build-indep

build-indep: patch build-indep-stamp
build-indep-stamp: configure-stamp
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE)
	touch build-arch-stamp

install: install-arch install-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep-stamp
	dh_testdir
	dh_testroot

	$(MAKE) -C dialup_admin DIALUP_PREFIX=/usr/share/freeradius-dialupadmin \
				DIALUP_DOCDIR=/usr/share/doc/freeradius-dialupadmin \
				DIALUP_CONFDIR=/etc/freeradius-dialupadmin \
				R=$(freeradius_dir) install
	mv $(freeradius_dir)/usr/share/freeradius-dialupadmin/bin/dialup_admin.cron \
	   $(freeradius_dir)/usr/share/freeradius-dialupadmin/bin/freeradius-dialupadmin.cron

	touch install-indep-stamp

install-arch: install-arch-stamp
install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot

	$(MAKE) install R=$(freeradius_dir)

	# Rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)
	mv $(freeradius_dir)/$(mandir)/man8/radiusd.8 $(freeradius_dir)/$(mandir)/man8/$(package).8

	# Clean up after install
	rm -f $(freeradius_dir)/etc/freeradius/example.pl
	rm -f $(freeradius_dir)/usr/sbin/rc.radiusd
	rm -f $(freeradius_dir)/usr/share/doc/freeradius/ChangeLog

	# Install the SNMP MIBs into debian/tmp
	install -m 755 -d $(freeradius_dir)/usr/share/snmp/mibs
	install -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	touch install-arch-stamp

binary: binary-indep binary-arch

binary-indep: install-indep-stamp
	dh_testroot
	#dh_clean -i -k
	dh_installdirs -i
	dh_install -XCVS -X.svn -i --sourcedir=debian/tmp
	dh_installdocs -XCVS -X.svn -i
	dh_installchangelogs -XCVS -X.svn dialup_admin/Changelog -i
	dh_installexamples -XCVS -X.svn -i
	dh_installman -XCVS -X.svn -i
	dh_link -i
	dh_perl -i
	dh_installdeb -i
	dh_compress -i
	dh_fixperms -i
	dh_md5sums -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: install-arch-stamp
	dh_testroot
	#dh_clean -a -k
	dh_installdirs -a
	dh_install -XCVS -X.svn -a --sourcedir=debian/tmp
	# Not nice, but it works; remove modules we package seperately
	# from the main package
	for mod in ${modulelist}; do \
		rm -f $(CURDIR)/debian/freeradius/usr/lib/freeradius/rlm_$$mod* ; \
	done
	dh_installdocs -XCVS -X.svn -a
	dh_installexamples -XCVS -X.svn -a
	dh_installchangelogs -XCVS -X.svn -a doc/ChangeLog
	dh_installman -XCVS -X.svn -a
	dh_strip -a --dbg-package=freeradius-dbg
	dh_installlogrotate -a
	dh_installinit -n -a
	dh_installpam --name=radiusd -a
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n -a
	dh_shlibdeps -a
ifeq ($(openssl), no)
	for pkg in $(shell grep ^Package debian/control | awk '{print $$2}') ; do \
		if dh_shlibdeps -p $$pkg -- -O | grep -q libssl; then \
			echo "$$pkg links to openssl" ; \
			exit 1 ; \
		fi ; \
	done
endif
	dh_installdeb -a
	dh_compress -a
	dh_fixperms -a
	dh_md5sums -a
	dh_gencontrol -a
	dh_builddeb -a

clean: unpatch
	dh_testdir
	dh_clean
	rm -f build-arch-stamp build-indep-stamp libltdl/stamp-h1
	rm -f install-arch-stamp install-indep-stamp configure-stamp

	[ -f Make.inc ] && make distclean || true
	# The make clean forgets to remove this build directory
	[ -d src/modules/lib ] && rm -fr src/modules/lib || true

	# Put the original autotools files back in place
	[ -f config.sub.dist ] && rm config.sub && mv config.sub.dist config.sub || true
	[ -f config.guess.dist ] && rm config.guess && mv config.guess.dist config.guess || true

.PHONY: build build-indep build-arch install install-indep install-arch binary binary-arch binary-indep clean
